Page MenuHomePhabricator

Overview of what's happening in a project
Closed, ResolvedPublic

Description

An overview of what's happening in a project is needed, for instance to quickly give an always-up-to-date overview of what a team is doing. Said overview would then be linked, or ideally transcluded, in the team's or project's (e.g. extension's) page on mediawiki.org.

Example of views used with mingle are sprint status and sprint backlog:
https://wikimedia.mingle.thoughtworks.com/projects/language_engineering/cards?favorite_id=175&view=Sprint+Status+by+Owner
https://wikimedia.mingle.thoughtworks.com/projects/language_engineering/cards/grid?color_by=priority&filters[]=[Type][is][Story]&filters[]=[Sprint][is][%28Current+Sprint%29]&group_by[lane]=status&lanes=Ready+for+Analysis%2CIn+Analysis%2CReady+for+Development%2CIn+Development%2CReady+for+Testing%2CIn+Testing%2CReady+for+Signoff%2CAccepted&tab=Sprint+Backlog

Details

Reference
fl131

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:26 AM
flimport set Reference to fl131.

swalling wrote on 2014-04-18 00:16:07 (UTC)

Isn't this covered by the project activity feeds and workboards?

qgil wrote on 2014-04-18 00:58:22 (UTC)

For example: http://fab.wmflabs.org/project/board/14/

Is not as full-featured as Mingle, but it is a start. Workboards are currently under development upstream. @Awjrichards has been posting specific feature requests at T44. @Nemo_bis, could you have a look in that task and see what is being requested? It would be great if the Mingle users could create specific tasks to check one by one what is being considered upstream and what would welcome a new request.

qgil wrote on 2014-04-18 04:13:42 (UTC)

(Another accidental change of priority when moving card in workboard, sorry)

qgil wrote on 2014-04-22 06:24:08 (UTC)

Workboards provide this overview indeed. Currently they have limitations that are being reported in specific tasks, like for instance Multiple work boards per project.

The fact that these boards appear linked or transcluded in MediaWiki pages is not a Phabricator feature, and in any case something we don't have now, and therefore something that Trello/Mingle users cannot miss.

Resolving as invalid. If you have a more precise request plese edit and reopen, or create a new task.

Nemo_bis wrote on 2014-04-22 07:20:12 (UTC)

Thanks. It would help if board had a consistent naming across the interface; http://fab.wmflabs.org/project/view/14/ links a "workboard" which is then discovered to be a "board" (a term which to me reminds forums).

I don't understand two things:

  1. How many boards can a project have? a) What's the default? b) How do I make a column by assigned person? c) How do I restrict to the current sprint? d) How do I filter by people (for instance a bug a volunteer is working on is not part of the team's sprint and shouldn't be bothered by it)?
  2. How many projects can a board have? For instance, a "Language Engineering" board would presumably contain a dozen components (extensions) maintained by that team, plus the stuff which isn't in any component/extension.

qgil wrote on 2014-04-22 14:47:52 (UTC)

How many boards can a project have? a) What's the default?

Currently the math is simple: one project = one board.

b) How do I make a column by assigned person?

There is no way to have columns by owners. If this is a feature we need, I will create a task upstream.

c) How do I restrict to the current sprint?

About boards for sprints, as far as I can see, currently a project should be created for a sprint e.g. "Language Engineering 2014.4" and that would generate a board.

d) How do I filter by people (for instance a bug a volunteer is working on is not part of the team's sprint and shouldn't be bothered by it)?

Don't include that task in the project sprint?

How many projects can a board have? For instance, a "Language Engineering" board would presumably contain a dozen components (extensions) maintained by that team, plus the stuff which isn't in any component/extension.

Again, today is one project one board, one board one project. https://secure.phabricator.com/T3670 discusses the idea of subprojects. However, I think what we need is to separate "teams" and "projects". "Language Engineering" is a team, "Babel" is a project. Even if "Babel" could be defined as a subproject of "Language Engineering", maybe there is a better way to organize things?

Let's agree on the requirements and I will create tasks upstream. In the meantine, https://secure.phabricator.com/T4856 is our best destination upstream.

qgil wrote on 2014-04-22 15:00:35 (UTC)

I think we need to discuss further How to organize projects T68 in order to decide how we want to organize sprints, releases, and more. Your feedback is welcome there.

qgil wrote on 2014-04-25 15:48:00 (UTC)

b) How do I make a column by assigned person?

While there is no "Owner view" for boards yet, you can get this information with a saved query like this: http://fab.wmflabs.org/maniphest/query/06ULLLka6Kyu/#R

I'm closing this task because with Phabricator you can get an "Overview of what's happening in a project". If you miss specific features then check the dependents of T45: Phabricator should suggest possible duplicates when creating a new task and T44: Migrate Bugzilla attachments to Phabricator, and, if needed, create new tasks.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:26 AM
flimport assigned this task to Qgil.Oct 2 2014, 9:46 PM
flimport added a subscriber: Qgil.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:07 PM